const WxParse = require('../../../utils/wxParse/wxParse.js')

const app = getApp()

app.routerInterceptor.checkLoginStatus({
  /**
   * 页面的初始数据
   */
  data: {
    anchor: {},
    rooms: [],
    isLodding: false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getData(options)
    wx.hideHomeButton()
  },

  getData(options) {
    const { room_id } = options
    const { anchor_id } = options
    const that = this
    if (room_id !== undefined) {
      app.network.post({
        url: app.urls.LIVE.ROOM_ANCHOR,
        data: {
          room_id
        },
        success(res) {
          const { anchor, rooms } = res.data
          WxParse.wxParse('intro', 'html', anchor.anchor_intro, that, 5)
          that.setData({
            anchor,
            rooms,
            isLodding: true
          })
        }
      })
    } else {
      app.network.post({
        url: app.urls.LIVE.ANCHOR_DETAIL,
        data: {
          anchor_id
        },
        success(res) {
          const { anchor, rooms } = res.data
          WxParse.wxParse('intro', 'html', anchor.anchor_intro, that, 5)
          that.setData({
            anchor,
            rooms,
            isLodding: true
          })
        }
      })
    }
  }
})
