/**
 * routerFillter --全局路由拦截器
 * @function
 * @param{Object} pageObj 当前页面的page对象
 * @param{Boolean} flag 是否开启权限判断
 */

function checkLoginStatus(pageObj) {
  const _onLoad = pageObj.onLoad
  pageObj.onLoad = function onLoad(options) {
    const that = this
    // 这一步是自己定义获取登录状态的,只是个判断权限的
    const app = getApp()
    if (!app.globalData.isLogin) {
      app.network.login(res => {
        app.globalData.userInfo = res
        app.globalData.isLogin = true
        _onLoad.call(that, options)
      })
    } else {
      _onLoad.call(that, options)
    }
  }
  return Page(pageObj)
}

exports.checkLoginStatus = checkLoginStatus
